## python-gbulb 0.6.3

=== tests/docker-images/Makefile ===
base:
	docker build -t nathanhoad/gbulb-base -f base.Dockerfile .;
python:
	test ${VERSION}
	docker build -t nathanhoad/gbulb-python:${VERSION} -f python.Dockerfile --build-arg=PYTHON_VERSION=${VERSION} .;

## python-gbulb 0.5.3

=== debian/changelog ===
python-gbulb (0.5.3-2) unstable; urgency=medium

  * Fix suggested doc package name 

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 23 Feb 2017 11:19:29 +0200

python-gbulb (0.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 22 Feb 2017 13:06:25 +0200

python-gbulb (0.5.2-2) unstable; urgency=medium

  * Fix maintainer name in control file 

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 26 Jan 2017 11:53:51 +0200

python-gbulb (0.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #852664) 

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 25 Jan 2017 09:59:57 +0100

=== debian/control ===
Source: python-gbulb
Section: python
Priority: optional
Maintainer: Konstantinos Margaritis <markos@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, python3-gi, python3-sphinx
Standards-Version: 3.9.8
Homepage: https://github.com/nathan-hoad/gbulb
X-Python3-Version: >= 3.2
Testsuite: autopkgtest-pkg-python

Package: python3-gbulb
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-gbulb-doc
Description: PEP 3156 event loop based on GLib (Python 3)
 Gbulb is a Python library that implements a PEP 3156 interface for the GLib
 main event loop under UNIX-like systems. As much as possible, except where
 noted, it mimics asyncio's interface.
 .
 This package installs the library for Python 3.

Package: python-gbulb-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: PEP 3156 event loop based on GLib (common documentation)
 Gbulb is a Python library that implements a PEP 3156 interface for the GLib
 main event loop under UNIX-like systems. As much as possible, except where
 noted, it mimics asyncio's interface.
 .
 This is the common documentation package.

## python-gbulb 0.6.1

=== debian/changelog ===
python-gbulb (0.6.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #904388)
  * Add dependency on python3-gi (Closes: #895726)

 -- Philipp Kern <pkern@debian.org>  Tue, 18 Sep 2018 14:27:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: python3-gbulb
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: python3-gi, ${python3:Depends}, ${misc:Depends}
 Suggests: python-gbulb-doc
 Description: PEP 3156 event loop based on GLib (Python 3)
  Gbulb is a Python library that implements a PEP 3156 interface for the GLib

## python-gbulb 0.6.3

=== debian/changelog ===
python-gbulb (0.6.3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - Compatible with Python 3.11. (Closes: #1025102)

 -- Adrian Bunk <bunk@debian.org>  Fri, 27 Jan 2023 17:13:31 +0200

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/nathan-hoad/gbulb/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-gbulb 0.6.5

=== debian/changelog ===
python-gbulb (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Update to Standards-Version 4.6.2
  * Update to compat level 13.
  * Update new source url.
  * Update maintainer. (Closes: #1004238)
  * Add Vcs links to salsa.
  * Fix whitespace in d/changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 29 May 2024 23:15:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,16 @@
 Source: python-gbulb
 Section: python
 Priority: optional
-Maintainer: Konstantinos Margaritis <markos@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, python3-gi, python3-sphinx
-Standards-Version: 3.9.8
-Homepage: https://github.com/nathan-hoad/gbulb
-X-Python3-Version: >= 3.2
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all,
+               python3-setuptools, python3-gi, python3-sphinx,
+               pybuild-plugin-pyproject
+Standards-Version: 4.6.2
+Homepage: https://github.com/beeware/gbulb
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-gbulb
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-gbulb.git
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-gbulb

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/beeware/gbulb/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-gbulb 0.6.6

=== debian/changelog ===
python-gbulb (0.6.6-3) unstable; urgency=medium

  * Team Upload
  * Apply Multi-Arch: hint

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Nov 2025 14:45:07 +0100

python-gbulb (0.6.6-2) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml
  * Apply Multi-Arch: hint
  * Add debian/gbp.conf
  * Add build-dep on python3-setuptools-scm to avoid version 0.0.0

 -- Alexandre Detiste <tchet@debian.org>  Mon, 24 Nov 2025 14:31:55 +0100

python-gbulb (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6
  * Update Standards-Version to 4.7.0
  * Fix d/watch file

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 14 Oct 2024 21:34:48 +0100

=== debian/control ===
Source: python-gbulb
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Sudip Mukherjee <sudipm.mukherjee@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-gi,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
Standards-Version: 4.7.2
Homepage: https://github.com/beeware/gbulb
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-gbulb
Vcs-Git: https://salsa.debian.org/python-team/packages/python-gbulb.git
Testsuite: autopkgtest-pkg-python

Package: python3-gbulb
Architecture: all
Depends:
 python3-gi:any,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-gbulb-doc,
Description: PEP 3156 event loop based on GLib (Python 3)
 Gbulb is a Python library that implements a PEP 3156 interface for the GLib
 main event loop under UNIX-like systems. As much as possible, except where
 noted, it mimics asyncio's interface.
 .
 This package installs the library for Python 3.

Package: python-gbulb-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: PEP 3156 event loop based on GLib (common documentation)
 Gbulb is a Python library that implements a PEP 3156 interface for the GLib
 main event loop under UNIX-like systems. As much as possible, except where
 noted, it mimics asyncio's interface.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=gbulb

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: GitHub
Owner: beeware
Project: gbulb
